# $Revision: 1.41 $, $Date: 2010/06/06 08:33:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Passwd
Summary:	Crypt::Passwd - interface to the UFC-Crypt library
Summary(pl.UTF-8):	Crypt::Passwd - interfejs do biblioteki UFC-Crypt
Name:		perl-Crypt-Passwd
Version:	0.03
Release:	12
# same as perl and/or UFC-Crypt library
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	66d9794442e27f33ad05685035082aa9
URL:		http://search.cpan.org/dist/Crypt-Passwd/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-MD5
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Passwd Perl module provides an interface layer between Perl 5
and Michael Glad's UFC Crypt library.

%description -l pl.UTF-8
Moduł Perla Crypt::Passwd udostępnia warstwę interfejsu pomiędzy
Perlem 5 a biblioteką UFC Crypt Michaela Glada.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Passwd.pm
%dir %{perl_vendorarch}/auto/Crypt/Passwd
%{perl_vendorarch}/auto/Crypt/Passwd/Passwd.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Passwd/Passwd.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Passwd.spec,v $
Revision 1.41  2010/06/06 08:33:26  arekm
- release 12

Revision 1.40  2009/03/14 11:35:13  hawk
- release 11

Revision 1.39  2008/03/15 20:29:10  qboosh
- generic URL

Revision 1.38  2008-02-10 12:04:52  arekm
- rel 10

Revision 1.37  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.36  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.34  2004/11/03 22:30:13  paladine
- formatting

Revision 1.33  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.32  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 21:45:39  ankry
- added tests

Revision 1.30  2004/04/19 17:54:45  ankry
- better description

Revision 1.29  2004/04/14 11:42:39  ankry
- caps and other cosmetics

Revision 1.28  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 18:46:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:29:29  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/12/15 15:25:06  ankry
- license fix; sligtly modified summary/description

Revision 1.19  2002/07/20 00:36:23  qboosh
- new %%doc

Revision 1.18  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:10:46  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:25:06  depesz
adapterized

Revision 1.12  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/04/17 12:07:02  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/30 05:40:35  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.6  2000/06/09 07:23:32  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/09 02:19:15  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:19:08  pius
- initial release
